cURL
curl --request POST \
--url https://api.vooma.ai/v0/shipments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shipment": {
"movements": [
{
"cargo": {
"commodities": [
{
"description": "<string>",
"isStackable": true,
"dimensions": {},
"nmfcCode": "<string>",
"freightClass": "<string>",
"pieceQuantity": 123,
"handlingQuantity": 123
}
],
"dimensions": {}
},
"equipmentOptions": [
{
"description": "<string>"
}
],
"customer": {
"name": "<string>",
"externalIds": [
{
"value": "<string>"
}
],
"id": "<string>",
"contacts": [
{
"carrierId": "<string>",
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"role": "<string>"
}
]
},
"route": {
"stops": [
{
"stopReferences": [
{
"value": "<string>"
}
],
"location": {
"address": {
"country": "<string>",
"postalCode": "<string>",
"city": "<string>",
"state": "<string>",
"addressTwo": "<string>",
"addressOne": "<string>"
},
"externalIds": [
{
"value": "<string>"
}
],
"id": "<string>",
"name": "<string>",
"contacts": [
{
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"role": "<string>"
}
],
"hours": {}
},
"id": "<string>",
"externalNotes": "<string>",
"internalNotes": "<string>",
"accessorials": [
{
"size": {
"value": 123
},
"type": "TARPING"
}
],
"contact": {
"carrierId": "<string>",
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"role": "<string>"
},
"commodities": [
{
"description": "<string>",
"isStackable": true,
"dimensions": {},
"nmfcCode": "<string>",
"freightClass": "<string>",
"pieceQuantity": 123,
"handlingQuantity": 123
}
],
"notes": "<string>",
"dateTimeRanges": [
{
"startDate": "<string>",
"endDate": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"timezone": "<string>"
}
],
"externalIds": [
{
"type": "CUSTOM",
"value": "<string>"
}
]
}
]
},
"references": [
{
"value": "<string>"
}
],
"externalIds": [
{
"type": "CUSTOM",
"value": "<string>"
}
],
"id": "<string>",
"tmsStatus": "<string>",
"attributes": {},
"tags": [
"<string>"
],
"externalNotes": "<string>",
"internalNotes": "<string>",
"accessorials": [
{
"size": {
"value": 123
},
"type": "TARPING"
}
]
}
],
"references": [
{
"value": "<string>"
}
],
"freightModeDetails": {},
"chargesToCustomer": {
"lineItems": [
{
"description": "<string>",
"amount": {
"value": 123
}
}
]
},
"externalIds": [
{
"type": "CUSTOM",
"value": "<string>"
}
]
}
}
'import requests
url = "https://api.vooma.ai/v0/shipments"
payload = { "shipment": {
"movements": [
{
"cargo": {
"commodities": [
{
"description": "<string>",
"isStackable": True,
"dimensions": {},
"nmfcCode": "<string>",
"freightClass": "<string>",
"pieceQuantity": 123,
"handlingQuantity": 123
}
],
"dimensions": {}
},
"equipmentOptions": [{ "description": "<string>" }],
"customer": {
"name": "<string>",
"externalIds": [{ "value": "<string>" }],
"id": "<string>",
"contacts": [
{
"carrierId": "<string>",
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"role": "<string>"
}
]
},
"route": { "stops": [
{
"stopReferences": [{ "value": "<string>" }],
"location": {
"address": {
"country": "<string>",
"postalCode": "<string>",
"city": "<string>",
"state": "<string>",
"addressTwo": "<string>",
"addressOne": "<string>"
},
"externalIds": [{ "value": "<string>" }],
"id": "<string>",
"name": "<string>",
"contacts": [
{
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"role": "<string>"
}
],
"hours": {}
},
"id": "<string>",
"externalNotes": "<string>",
"internalNotes": "<string>",
"accessorials": [
{
"size": { "value": 123 },
"type": "TARPING"
}
],
"contact": {
"carrierId": "<string>",
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"role": "<string>"
},
"commodities": [
{
"description": "<string>",
"isStackable": True,
"dimensions": {},
"nmfcCode": "<string>",
"freightClass": "<string>",
"pieceQuantity": 123,
"handlingQuantity": 123
}
],
"notes": "<string>",
"dateTimeRanges": [
{
"startDate": "<string>",
"endDate": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"timezone": "<string>"
}
],
"externalIds": [
{
"type": "CUSTOM",
"value": "<string>"
}
]
}
] },
"references": [{ "value": "<string>" }],
"externalIds": [
{
"type": "CUSTOM",
"value": "<string>"
}
],
"id": "<string>",
"tmsStatus": "<string>",
"attributes": {},
"tags": ["<string>"],
"externalNotes": "<string>",
"internalNotes": "<string>",
"accessorials": [
{
"size": { "value": 123 },
"type": "TARPING"
}
]
}
],
"references": [{ "value": "<string>" }],
"freightModeDetails": {},
"chargesToCustomer": { "lineItems": [
{
"description": "<string>",
"amount": { "value": 123 }
}
] },
"externalIds": [
{
"type": "CUSTOM",
"value": "<string>"
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
shipment: {
movements: [
{
cargo: {
commodities: [
{
description: '<string>',
isStackable: true,
dimensions: {},
nmfcCode: '<string>',
freightClass: '<string>',
pieceQuantity: 123,
handlingQuantity: 123
}
],
dimensions: {}
},
equipmentOptions: [{description: '<string>'}],
customer: {
name: '<string>',
externalIds: [{value: '<string>'}],
id: '<string>',
contacts: [
{
carrierId: '<string>',
id: '<string>',
name: '<string>',
phone: '<string>',
email: '<string>',
role: '<string>'
}
]
},
route: {
stops: [
{
stopReferences: [{value: '<string>'}],
location: {
address: {
country: '<string>',
postalCode: '<string>',
city: '<string>',
state: '<string>',
addressTwo: '<string>',
addressOne: '<string>'
},
externalIds: [{value: '<string>'}],
id: '<string>',
name: '<string>',
contacts: [
{
id: '<string>',
name: '<string>',
phone: '<string>',
email: '<string>',
role: '<string>'
}
],
hours: {}
},
id: '<string>',
externalNotes: '<string>',
internalNotes: '<string>',
accessorials: [{size: {value: 123}, type: 'TARPING'}],
contact: {
carrierId: '<string>',
id: '<string>',
name: '<string>',
phone: '<string>',
email: '<string>',
role: '<string>'
},
commodities: [
{
description: '<string>',
isStackable: true,
dimensions: {},
nmfcCode: '<string>',
freightClass: '<string>',
pieceQuantity: 123,
handlingQuantity: 123
}
],
notes: '<string>',
dateTimeRanges: [
{
startDate: '<string>',
endDate: '<string>',
startTime: '<string>',
endTime: '<string>',
timezone: '<string>'
}
],
externalIds: [{type: 'CUSTOM', value: '<string>'}]
}
]
},
references: [{value: '<string>'}],
externalIds: [{type: 'CUSTOM', value: '<string>'}],
id: '<string>',
tmsStatus: '<string>',
attributes: {},
tags: ['<string>'],
externalNotes: '<string>',
internalNotes: '<string>',
accessorials: [{size: {value: 123}, type: 'TARPING'}]
}
],
references: [{value: '<string>'}],
freightModeDetails: {},
chargesToCustomer: {lineItems: [{description: '<string>', amount: {value: 123}}]},
externalIds: [{type: 'CUSTOM', value: '<string>'}]
}
})
};
fetch('https://api.vooma.ai/v0/shipments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"movements": [
{
"cargo": {
"commodities": [
{
"description": "<string>",
"isStackable": true,
"itemReference": {
"value": "<string>"
},
"dimensions": {
"height": {
"value": 123
},
"width": {
"value": 123
},
"length": {
"value": 123
}
},
"weight": {
"value": 123
},
"hazmat": {
"classifications": [
{}
],
"contact": {
"carrierId": "<string>",
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"role": "<string>",
"reference": {
"value": "<string>"
}
},
"packingGroup": "<string>",
"unNumber": "<string>",
"weight": {
"value": 123
}
},
"nmfcCode": "<string>",
"freightClass": "<string>",
"pieceQuantity": 123,
"handlingQuantity": 123
}
],
"declaredValue": {
"value": 123
},
"dimensions": {
"height": {
"value": 123
},
"width": {
"value": 123
},
"length": {
"value": 123
}
},
"totalWeight": {
"value": 123
}
},
"equipmentOptions": [
{
"equipmentLength": {
"value": 123
},
"temperature": {
"max": 123,
"min": 123
},
"description": "<string>"
}
],
"customer": {
"name": "<string>",
"externalIds": [
{
"value": "<string>"
}
],
"id": "<string>",
"contacts": [
{
"carrierId": "<string>",
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"role": "<string>"
}
]
},
"route": {
"stops": [
{
"stopReferences": [
{
"value": "<string>"
}
],
"location": {
"address": {
"country": "<string>",
"postalCode": "<string>",
"city": "<string>",
"state": "<string>",
"addressTwo": "<string>",
"addressOne": "<string>"
},
"externalIds": [
{
"value": "<string>"
}
],
"id": "<string>",
"name": "<string>",
"contacts": [
{
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"role": "<string>"
}
],
"hours": {
"sunday": {
"type": "FACILITY_HOURS",
"timezone": "<string>",
"endTime": "<string>",
"startTime": "<string>"
},
"saturday": {
"type": "FACILITY_HOURS",
"timezone": "<string>",
"endTime": "<string>",
"startTime": "<string>"
},
"friday": {
"type": "FACILITY_HOURS",
"timezone": "<string>",
"endTime": "<string>",
"startTime": "<string>"
},
"thursday": {
"type": "FACILITY_HOURS",
"timezone": "<string>",
"endTime": "<string>",
"startTime": "<string>"
},
"wednesday": {
"type": "FACILITY_HOURS",
"timezone": "<string>",
"endTime": "<string>",
"startTime": "<string>"
},
"tuesday": {
"type": "FACILITY_HOURS",
"timezone": "<string>",
"endTime": "<string>",
"startTime": "<string>"
},
"monday": {
"type": "FACILITY_HOURS",
"timezone": "<string>",
"endTime": "<string>",
"startTime": "<string>"
}
},
"scheduling": {
"methods": [
{
"contact": {
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"role": "<string>"
},
"type": "EMAIL"
}
],
"maxDaysAhead": 123,
"notes": "<string>"
},
"geoCoordinates": {
"longitude": 123,
"latitude": 123
}
},
"id": "<string>",
"externalNotes": "<string>",
"internalNotes": "<string>",
"accessorials": [
{
"size": {
"value": 123
},
"type": "TARPING"
}
],
"contact": {
"carrierId": "<string>",
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"role": "<string>"
},
"commodities": [
{
"description": "<string>",
"isStackable": true,
"itemReference": {
"value": "<string>"
},
"dimensions": {
"height": {
"value": 123
},
"width": {
"value": 123
},
"length": {
"value": 123
}
},
"weight": {
"value": 123
},
"hazmat": {
"classifications": [
{}
],
"contact": {
"carrierId": "<string>",
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"role": "<string>",
"reference": {
"value": "<string>"
}
},
"packingGroup": "<string>",
"unNumber": "<string>",
"weight": {
"value": 123
}
},
"nmfcCode": "<string>",
"freightClass": "<string>",
"pieceQuantity": 123,
"handlingQuantity": 123
}
],
"weight": {
"value": 123
},
"notes": "<string>",
"dateTimeRanges": [
{
"startDate": "<string>",
"endDate": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"timezone": "<string>"
}
],
"externalIds": [
{
"type": "CUSTOM",
"value": "<string>"
}
]
}
],
"mileage": {
"value": 123
}
},
"references": [
{
"value": "<string>"
}
],
"externalIds": [
{
"type": "CUSTOM",
"value": "<string>"
}
],
"id": "<string>",
"tmsStatus": "<string>",
"attributes": {},
"tags": [
"<string>"
],
"externalNotes": "<string>",
"internalNotes": "<string>",
"carrier": {
"carrier": {
"name": "<string>",
"id": "<string>",
"equipment": [
{
"equipment": {
"equipmentLength": {
"value": 123
},
"temperature": {
"max": 123,
"min": 123
},
"description": "<string>"
},
"trailerNumber": "<string>",
"truckNumber": "<string>"
}
],
"contacts": [
{
"contact": {
"carrierId": "<string>",
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"role": "<string>"
}
}
],
"dotNumber": "<string>",
"mcNumber": "<string>"
},
"assignedDispatch": {
"contact": {
"carrierId": "<string>",
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"role": "<string>"
}
},
"assignedDriver": {
"contact": {
"carrierId": "<string>",
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"role": "<string>"
}
},
"assignedEquipment": {
"equipment": {
"equipmentLength": {
"value": 123
},
"temperature": {
"max": 123,
"min": 123
},
"description": "<string>"
},
"trailerNumber": "<string>",
"truckNumber": "<string>"
}
},
"financials": {
"costs": {
"lineItems": [
{
"description": "<string>",
"amount": {
"value": 123
}
}
]
},
"costNegotiationGuidance": {
"maxPrice": {
"value": 123
},
"startingPrice": {
"value": 123
}
}
},
"accessorials": [
{
"size": {
"value": 123
},
"type": "TARPING"
}
],
"freightModeDetails": {},
"responsibleUser": {
"externalIds": [
{
"value": "<string>"
}
],
"id": "<string>"
}
}
],
"references": [
{
"value": "<string>"
}
],
"freightModeDetails": {},
"chargesToCustomer": {
"lineItems": [
{
"description": "<string>",
"amount": {
"value": 123
}
}
]
},
"externalIds": [
{
"type": "CUSTOM",
"value": "<string>"
}
],
"responsibleUser": {
"externalIds": [
{
"value": "<string>"
}
],
"id": "<string>"
}
}Shipments
Create Shipment
POST
/
shipments
cURL
Beta Feature: This functionality is currently in beta. You
may experience changes or limited support as we continue to improve it.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
Ok
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

